---
# Set motd

- name: Make sure PrintMotd isn't enabled in sshd_config (It should be enabled in /etc/pam.d/sshd)
  ansible.builtin.lineinfile:
    path: /etc/ssh/sshd_config
    state: absent
    regexp: '^PrintMotd yes'
  notify: "reload sshd"
  become: yes

- name: Disable PrintMotd in sshd_config
  ansible.builtin.lineinfile:
    path: /etc/ssh/sshd_config
    line: 'PrintMotd no'
    create: yes
  notify: "reload sshd"
  become: yes

- name: Update MOTD
  template:
    src: motd.j2
    dest: /etc/motd
  notify: "reload sshd"
  become: yes


